PART_OBJNAME=$1
NAMESPACE=$2

if [ -s $MISSINGOBJ_OUTDIR/$(basename "$0").$NAMESPACE.cache ]
then
	NOI_INSTANCE=$(cat $MISSINGOBJ_OUTDIR/$(basename "$0").$NAMESPACE.cache)
else
	NOI_INSTANCE=$($OC_CMD get noi -n $NAMESPACE --no-headers | $AWK '{ print $1 }')
	echo "$NOI_INSTANCE" > $MISSINGOBJ_OUTDIR/$(basename "$0").$NAMESPACE.cache
fi

if [ ${#NOI_INSTANCE} -gt 0 ]
then
	echo "^${NOI_INSTANCE}-${PART_OBJNAME}"
else
	echo ""
	exit 1
fi
