PART_OBJNAME=$1
NAMESPACE=$2

if [ -s $MISSINGOBJ_OUTDIR/$(basename "$0").$NAMESPACE.cache ]
then
	AIOPS_INSTANCE=$(cat $MISSINGOBJ_OUTDIR/$(basename "$0").$NAMESPACE.cache)
else
	AIOPS_INSTANCE=$($OC_CMD get installations.orchestrator.aiops.ibm.com --no-headers -n $NAMESPACE | $AWK '{ print $1 }')
	echo "$AIOPS_INSTANCE" > $MISSINGOBJ_OUTDIR/$(basename "$0").$NAMESPACE.cache
fi

if [ ${#AIOPS_INSTANCE} -gt 0 ]
then
	echo "^${AIOPS_INSTANCE}-${PART_OBJNAME}"
else
	echo ""
	exit 1
fi
