OC_SUPPORTED="false"
SUPPORTED_OC_VER=(4.12)

OC_VER_INPUT=$($OC_CMD version | grep -E '^Server' | $AWK -F: '{ print $2 }' | sed 's/^[ ]*//')
OC_VER=${OC_VER_INPUT%.*}
OC_PATCH_VER=$(echo "$OC_VER_INPUT" | $AWK -F. '{ print $3 }')

for VER in ${SUPPORTED_OC_VER[@]}
do
	if [ $OC_VER == "$VER" ]
	then
		if [ ${#OC_PATCH_VER} -gt 0 ]
		then	
			case $OC_VER in
				4.12) 	OC_SUPPORTED="true"
						echo "Openshift version [$OC_VER_INPUT] is supported!"
						;;
			esac
		fi
	fi
done

if [ $OC_SUPPORTED == "true" ]
then
	exit 0
else
	echo "[WAIOPS $PRODUCT_VERSION] Supported Openshift versions = 4.12"
	echo "Openshift version [$OC_VER_INPUT] is NOT supported!"
	exit 1
fi

